<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://freesoftwarepc.com
 * @since             1.0.0
 * @package           Water_The_Theme
 *
 * @wordpress-plugin
 * Plugin Name:       Water the Theme
 * Plugin URI:        http://wordpress.org/plugins/water-the-theme
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.0
 * Author:            Jonathan Rosenbaum
 * Author URI:        http://freesoftwarepc.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       water-the-theme
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-water-the-theme-activator.php
 */
function activate_water_the_theme() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-water-the-theme-activator.php';
	Water_The_Theme_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-water-the-theme-deactivator.php
 */
function deactivate_water_the_theme() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-water-the-theme-deactivator.php';
	Water_The_Theme_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_water_the_theme' );
register_deactivation_hook( __FILE__, 'deactivate_water_the_theme' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-water-the-theme.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_water_the_theme() {

	$plugin = new Water_The_Theme();
	$plugin->run();

}
run_water_the_theme();
